
:root{
    --main-color: #006CF6;
    --secundary-color: white;
    --font-color: black;
}
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;

}

header{
  width: 100%;
  height: 20vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 999;
}

header .logo{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 20%;
  height: 100%;
}
header .logo img{
  width: 60%;
  height: 200px;
  object-fit: contain;
  object-position: center;
}
header .navigation{
  width: 60%;
  position: relative;
  line-height: 75px;
  transition: 0.6s;
  transition-property: line-height;
}

header.sticky .navigation{
  line-height: 60px;
}

header .navigation .menu{
  position: relative;
  display: flex;
  justify-content: flex-end;
  width: 100%;
  list-style: none;
  user-select: none;
  z-index: 999;
  
}

.menu-item > a{
  color: var(--font-color);
  font-size: 1em;
  font-weight: 600;
  text-decoration: none;
  margin: 20px;
  padding: 25px 0;

}

.menu-item > a:hover{
  color: var(--main-color);
  transition: 0.3s;
}
.menu-item > a > ion-icon:hover{
  color: var(--main-color);
}


.menu-item .sub-menu{
  position: absolute;
  background-color: var(--secundary-color);
  top: 74px;
  line-height: 40px;
  list-style: none;
  border-radius: 0 0 8px 8px;
  box-shadow: 0 5px 25px rgb(0 0 0 / 20%);
  pointer-events: none;
  transform: translateY(20px);
  opacity: 0;
  transition: 0.3s;
  transition-property: transform, opacity;
  
}

header.sticky .menu-item .sub-menu{
  top: 60px;
}

.menu-item:hover .sub-menu{
  pointer-events: all;
  transform: translateY(0);
  opacity: 1;
}

.menu-item .sub-menu .sub-item{
  position: relative;
  padding: 7px 0;
  cursor: pointer;
  box-shadow: inset 0px -30px 5px -30px rgba(255, 255, 255, 0.2);

}

.menu-item .sub-menu .sub-item a{
  color: var(--font-color);
  font-size: 1em;
  text-decoration: none;
  padding: 15px 30px;
  
}

.menu-item .sub-menu .sub-item:hover{
  background: var(--main-color);
}

.menu-item .sub-menu .sub-item:last-child:hover{
  border-radius: 0 0 8px 8px;
}

.more .more-menu{
  position: absolute;
  background: var(--secundary-color);
  list-style: none;
  top: 0;
  left: 100%;
  white-space: nowrap;
  border-radius: 0 8px 8px 8px;
  overflow: hidden;
  pointer-events: none;
  transform: translateY(20px);
  opacity: 0;
  transition: 0.3s;
  transition-property: transform, opacity;
}

.more:hover .more-menu{
  pointer-events: all;
  transform: translateY(0);
  opacity: 1;
}

.more .more-menu .more-item{
  padding: 7px 0;
  box-shadow: inset 0px -30px 5px -30px rgba(255, 255, 255, 0.2);
  transition: 0.3s;
}

.more .more-menu .more-item:hover{
  background: var(--main-color);
}

.menu-btn{
  display: none;
}
.btn{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10%;
    height: 40px;
    background-color: var(--main-color);
    border-radius: 8px;
    color: #ffffff;
}
.close-btn{
  display: none;
} 
header > .btn-header{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 20%;
  height: 40%;
  
 
}
header > .btn-header >  a{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 45px;
    background-color: #006CF6;
    border-radius: 4px;
    text-decoration: none;
    color: #ffffff;
    transition: all ease-in-out;
    transition-duration: 0.3s;
}
header > .btn-header >  a:hover{
  transform: scale(0.95);
}

@media (max-width: 1060px){

  header{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  header .navigation .menu{
    position: fixed;
    display: block;
    background: var(--secundary-color);
    min-width: 350px;
    height: 100vh;
    top: 0;
    right: -100%;
    padding: 90px 50px;
    visibility: hidden;
    overflow-y: auto;
    transition: 0.5s;
    transition-property: right, visibility;
    z-index: 999;
  }

  header.sticky .navigation{
    line-height: 75px;
  }

  header .navigation .menu.active{
    right: 0;
    visibility: visible;
  }

  .menu-item{
    position: relative;
  }

  .menu-item .sub-menu{
    opacity: 1;
    position: relative;
    top: 0;
    transform: translateX(10px);
    background: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    overflow: hidden;
    display: none;
  }

  header.sticky .menu-item .sub-menu{
    top: 0;
  }

  .menu-item:hover .sub-menu{
    transform: translateX(10px);
  }

  .menu-item .sub-menu .sub-item{
    box-shadow: none;
  }

  .menu-item .sub-menu .sub-item:hover{
    background: none;
  }

  .menu-item .sub-menu .sub-item a:hover{
    color: var(--main-color);
    transition: 0.3s;
  }

  .more .more-menu{
    opacity: 1;
    position: relative;
    left: 0;
    transform: translateY(0);
    background: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    display: none;
  }

  .more .more-menu .more-item{
    box-shadow: none;
  }

  .more .more-menu .more-item:hover{
    background: none;
  }

  .more .more-menu .more-item a{
    margin-left: 20px;
  }

  .close-btn{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background-size: 25px;
    background-position: center;
    top: 5%;
    left: 10%;
    cursor: pointer;
  }
  .close-btn > ion-icon{
    color: #000;
    width: 80%;
    height: 80%;
  }
  .menu-btn{
    width: 50px;
    height: 50px;
    background-size: 30px;
    background-position: center;
    cursor: pointer;
    display: block;
  }
  .menu-btn ion-icon{
    color: var(--main-color);
    width: 80%;
    height: 80%;
  }

  header{
     display: flex;
     justify-content: space-around;
     align-items: center;
  }

  header.sticky{
    padding: 10px 20px;
  }
  header > .btn {
    display: none;
  }
  header .logo{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 60%;
  }
  header .logo img{
      width: 80%;
      height: 80%;
  }
  header > .btn-header {
      display: none;
  }
  
}
      